PlayerBarrier Class Reference

## Public Member Functions

int | SetValue (int Value)
int | Wait ()

## Private Attributes

pthread_mutex_t | barrierMutex
| barrier to make sure StartThread doesnt return until cleanup handlers etc have been installed. More...
int | barrierValue
pthread_cond_t | barrierCond

## Member Data Documentation

pthread_mutex_t PlayerBarrier::barrierMutex

private

barrier to make sure StartThread doesnt return until cleanup handlers etc have been installed.

The documentation for this class was generated from the following file:

- driver.h

Last updated 12 September 2005 21:38:45